## hostsman 1.1.5

=== requirements.txt ===
P y g m e n t s 
 
 n o s e 
 
 m o c k 
 
 c o l o r a m a 
 
 
 
 p y p a n d o c 
 
 t w i n e 

=== debian/changelog ===
hostsman (1.1.5-0kali4) kali-dev; urgency=medium

  * Remove obsolete build-dep and dep python3-nose
  * Bump Standards-Version to 4.7.2
  * Refresh patches
  * Run tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Mar 2025 14:54:34 +0100

hostsman (1.1.5-0kali3) kali-dev; urgency=medium

  [ X0RW3LL ]
  * d/patches: assertequal.patch: Fix Python 3.12 Syntax Warnings
  * Fix Python 3.12 Syntax Warnings (use raw strings)
  * d/patches: assertequal.patch: Add DEP-3 Applied-Upstream header

  [ Sophie Brun ]
  * Fix autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Sep 2024 11:53:05 +0200

hostsman (1.1.5-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add patch to deal with python 3.12 deprecating assertEquals

 -- Steev Klimaszewski <steev@kali.org>  Mon, 05 Feb 2024 13:46:16 -0600

hostsman (1.1.5-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Add a Kali-specific patch to hardcode the prog name

  [ Joseph O'Gorman ]
  * Initial release
  * Update copyright
  * Change PYBUILD_NAME to be accurate

 -- Joseph O'Gorman <gamb1t@kali.org>  Thu, 03 Feb 2022 20:02:58 -0500

=== debian/control ===
Source: hostsman
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Joseph O'Gorman <gamb1t@kali.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pygments,
               python3-mock,
               python3-colorama
Standards-Version: 4.7.2
Homepage: https://github.com/qszhuan/hostsman
Vcs-Browser: https://gitlab.com/kalilinux/packages/hostsman
Vcs-Git: https://gitlab.com/kalilinux/packages/hostsman.git

Package: hostsman
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pygments,
         python3-mock,
         python3-colorama
Description: cross-platform command line tool for handling hosts files
 cross-platform command line tool for adding, removing or listing mappings in
 hosts file.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=hostsman

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	python3 -m tests.host_test
	python3 -m tests.utils_test

=== debian/tests/control ===
Tests: main
Depends: @, diffutils
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hostsman-$1\.tar\.gz/ \
  https://github.com/qszhuan/hostsman/tags .*/v?(\d\S+)\.tar\.gz
